package com.caimei365.tools.model.po;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/11/2
 */
@Data
public class CmBehaviorRecordPo {

    private Integer recordID;
    /**
     * 访问人IP地址
     */
    private String IP;
    /**
     * 用户id、0为游客
     */
    private String userId;
    /**
     * 页面路径
     */
    private String pagePath;
    /**
     * 页面类型
     */
    private Integer pageType;
    /**
     * 页面标签
     */
    private String pageLabel;
    /**
     * 用户行为类型1：用户行为记录、2：ROOS页面统计
     */
    private String behaviorType;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 访问时间
     */
    private Date accessTime;
    /**
     * 访问时长
     */
    private String accessDuration;
    /**
     * 访问日期
     */
    private String accessDate;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 浏览器链接
     */
    private String referer;
    /**
     * 访问来源
     */
    private String accessSource;
    /**
     * 访问客户端  0：网站 1：小程序
     */
    private String accessClient;
    /**
     * 是否计算访问时长 0未计算 1已计算
     */
    private String isReckon;
    /**
     * ip所属地
     */
    private String region;
    /**
     * 请求头 userAgent
     */
    private String userAgent;
    /**
     * 删除标记 0否 其余是
     */
    private String delFlag;
    /**
     * 统计数
     */
    private Integer count;
}
