package com.caimei365.tools.model.po;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Data
public class CmOrganValueSystemPo {
    private Integer organID;
    private Integer userID; // 用户ID
    private String activeState;    //活跃状态
    private String customerValue;  //客户价值
    private Integer stage;  //阶段：0本阶段 1上阶段 2其他阶段
    private Integer delType;    //是否启用：0禁用状态，1启用状态（本阶段启用，其他阶段禁用）

    private Double payableAmount;   //交易总金额
    private Double number;  // 交易次数
    private Integer orderTime;   //最近交易时间
}
