package com.caimei365.tools.model.dto.message.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

@ToString
@AllArgsConstructor
public enum SmsMessageType {
    /**
     * 1通知短信
     * 2验证码短信
     * 3营销短信
     */
    NOTIFICATION_SMS(1, "通知短信"),
    CHECK_CODE_SMS(2, "验证码短信"),
    SALES_SMS(3, "营销短信");

    private Integer code;
    private String description;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
