package com.caimei365.tools.model.po;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(fluent = true)
public class Notification implements Serializable {
    private String Id;
    /**
     * 通知主题
     */
    private String theme;
    /**
     * 通知时间
     */
    private String newTime;
    /**
     * 内容ID+名称
     */
    private String shopContent;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 供应商ID
     */
    private String shopId;
    /**
     *     0.未读 , 1.已读
     */
    private Integer saved;
    /**
     * 隐藏状态0显示1隐藏
     */
    private Integer hide;
}
