package com.caimei365.tools.service.impl;

import com.caimei365.tools.mapper.CmRepurchaseFrequencyMapper;
import com.caimei365.tools.service.CmRepurchaseFrequencyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/25
 */
@Slf4j
@Service
public class CmRepurchaseFrequencyServiceImpl implements CmRepurchaseFrequencyService {

    @Resource private CmRepurchaseFrequencyMapper cmRepurchaseFrequencyMapper;

    @Override
    public void insertRepurchase() {
        log.info("复购率插入-----------------》");
        // 修改复购率
        cmRepurchaseFrequencyMapper.updatePurchase();

        // 插入本阶段复购率
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM");
        String format = simpleDateFormat.format(new Date());

        cmRepurchaseFrequencyMapper.inertrePurchase(format);
    }
}
